/*********************************************************
 *   Off Campus Link Rewriting Script
 *   James Muir <muir.29@osu.edu> Systems Developer/Engineer, Ohio State University Libraries
 *   http://library.osu.edu/opensource/
 *   Last Updated 5/6/2008
 *   Automatically adds prepends proxy url to the link if the user is off campus
 *   Copyright (C)2008 [James Muir]
 *   This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
 *   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *   You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses>.  
 *********************************************************/  

/*
 * Constants - these values will be specific to your setup 
 */
var className    =   'offcampus_check'; 
var proxyString  =   'http://proxy.lib.ohio-state.edu/login?url=';

/***********************************************************/
 
var done = 0; // Initializes 'done' to be false  

/*
 * Goes through the document and checks for links with the classname specified above and prepends
 * the proxy string to them.   
 */ 
function rewritelinks(){
  if(done == 1) return; // if script has already run, return
    var numLinks = document.getElementsByTagName('a').length; //get # links on page
    for (j=0; j< numLinks; j++){
      if(document.getElementsByTagName('a')[j].className == className){
        resourceLink = document.getElementsByTagName('a')[j].href; //get the href value of the existing link
        document.getElementsByTagName('a')[j].href = proxyString+resourceLink; // prepend proxy string to the link
       } //end if
    } // end for
  done = 1; // set done = 1 so the script will not run again!
}

/*
 * This is where the actual check is done
 */ 
if(oncampus == false) {
  rewritelinks();
}

