/**
 *   Off Campus Link checker for Innovative Catalog
 *   James Muir (muir.29@osu.edu) Systems Developer/Engineer, Ohio State University Libraries
 *   http://library.osu.edu/opensource/
 *   Last Updated 5/19/2008
 *   Automatically adds proxy url to the link if the user is off campus 
 *   Copyright (C)2008 [James Muir]
 *   This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
 *   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *   You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses>.  
 */   
 
var resourceLink = '';
var done;
var bibno;
var phpScriptLocation = 'http://library.osu.edu/catalog/offcampus/offcampuscheck.php';  //change to the url of your offcampuscheck.php
var divId = 'offcampus'; //this is the id of the div that wraps around the resource links

function init_offcampuscheck(){
  get_recordnum();
  if(done == 1) return; // if script has already run, return
  var numDivs = 0; // initialize number of divs that have id='offcampus'
  while(document.getElementById(divId)){
    numDivs++;
    document.getElementById(divId).id= 'offcampus'+numDivs; //rename div id's so they are unique
  }
  for (i = 1; i<= numDivs; i++){ //for each new div 
    elm = 'offcampus'+i;
    divobj = document.getElementById(elm);
    var numLinks = divobj.getElementsByTagName('a').length; //get # links inside the div
    for (j=0; j< numLinks; j++){
      resourceLink = divobj.getElementsByTagName('a')[j].href; //get the href value of the existing link
      divobj.getElementsByTagName('a')[j].href = "javascript:connectToResource('"+resourceLink+"');"; // add javascript call to the link
    }
  }
  done = 1; // set done = 1 so the script will not run again!
}

function get_recordnum() { 
	var aTags = document.getElementsByTagName("a");
	var aTagsLen = aTags.length;
	for (var i=0; i < aTags.length; i++) {
		if (aTags[i].id == "recordnum") {
			bibno = aTags[i];
			bibno = bibno.toString();
			var start = bibno.lastIndexOf('b');
			bibno = bibno.substr(start,8);
		} 
	} 
} 

function connectToResource(theLink){
  theLink = encodeURIComponent(theLink);
  location.href= phpScriptLocation+"?record="+bibno+"&resource="+theLink;
}
function addLoadEvent(func) {
  var oldonload = window.onload;
  if (typeof window.onload != 'function'){
    window.onload = func;
  }
  else {
    window.onload = function() {
      oldonload();
      func();
    }
  }
}

addLoadEvent(init_offcampuscheck);

